routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


// Authentication Routes...
Route::get('/', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('/login', 'Auth\LoginController@login')->name('login.user');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

// Registration Routes...
Route::get('register', 'Auth\RegisterController@showRegistrationForm')->name('register');
Route::post('register', 'Auth\RegisterController@register');

// Password Reset Routes...
Route::get('password/reset', 'Auth\ForgotPasswordController@showLinkRequestForm')->name('password.request');
Route::post('password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('password.email');
Route::get('password/reset/{token}', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');
Route::post('password/reset', 'Auth\ResetPasswordController@reset');

Route::middleware('auth')->group(function() {

    Route::get('/home', 'HomeController@index')->name('home');

    // Edit user Routes...
    Route::post('edit', 'UserController@update')->name('update');
    Route::get('edit', 'UserController@edit')->name('edit');

    // User Routes...
    Route::get('profile', 'UserController@profile')->name('profile');

    // Delete user routes...
    Route::post('delete', 'UserController@delete')->name('delete');
    Route::get('delete', 'UserController@remove')->name('remove');

    Route::resource('faq', 'Faq\FaqController');
    Route::patch('faq{id}', 'Faq\FaqController@hidden');
    Route::get('hidden', 'Faq\FaqController@hiddenIndex')->name('hidden');
});

Route::group(['prefix' => 'admin', 'middleware' => ['auth' => 'admin'], 'namespace' => 'Admin'], function(){
    Route::resource('users', 'UsersController');

    Route::get('faq_respond{faq_id}', 'Faq\RespondFaqController@create')->name('faq_respond.create');
    Route::post('faq_respond', 'Faq\RespondFaqController@store')->name('faq_respond.store');
    Route::delete('faq_respond{id}', 'Faq\RespondFaqController@destroy')->name('faq_respond.destroy');
    Route::post('faq_respond/edit{faq_respond}', 'Faq\RespondFaqController@update')->name('faq_respond.update');
    Route::get('faq_respond/edit{faq_respond}', 'Faq\RespondFaqController@edit')->name('faq_respond.edit');
});

resources/views/admin/deleteUser.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('Delete user') }}</div>

                    <div class="card-body">
                        <form method="POST" action="{{ route('deleteUser', $oUser->id) }}">
                            @method('DELETE')
                            @csrf
                            <p class="text-center"><b>Weet je zeker dat je {{ $oUser->firstname }} {{ $oUser->lastname }}'s account wilt verwijderen?</b></p>

                            <div class="row">
                                <div class="col text-center">
                                    <button type="submit" class="btn btn-danger">
                                        {{ __('Delete permanently') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/admin/editUser.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('Edit user') }}</div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('users.update', $oUser->id) }}">
                            @csrf
                            @method('PATCH')
                            <div class="form-group row">
                                <label for="firstname" class="col-md-4 col-form-label text-md-right">{{ __('Firstname') }}</label>
                                <div class="col-md-6">
                                    <input id="firstname" type="text" class="form-control @error('firstname') is-invalid @enderror" name="firstname" value="{{ $oUser->firstname }}">
                                    @error('firstname')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="lastname" class="col-md-4 col-form-label text-md-right">{{ __('Lastname') }}</label>
                                <div class="col-md-6">
                                    <input id="lastname" type="text" class="form-control @error('lastname') is-invalid @enderror" name="lastname" value="{{ $oUser->lastname }}">

                                    @error('lastname')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="city" class="col-md-4 col-form-label text-md-right">{{ __('City') }}</label>
                                <div class="col-md-6">
                                    <input id="city" type="text" class="form-control @error('city') is-invalid @enderror" name="city" value="{{ $oUser->city }}">
                                    @error('city')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="zipcode" class="col-md-4 col-form-label text-md-right">{{ __('Zipcode') }}</label>
                                <div class="col-md-6">
                                    <input id="zipcode" type="text" class="form-control @error('zipcode') is-invalid @enderror" name="zipcode" value="{{ $oUser->zipcode }}">

                                    @error('zipcode')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="date_of_birth" class="col-md-4 col-form-label text-md-right">{{ __('Date of birth') }}</label>
                                <div class="col-md-6">
                                    <input id="date_of_birth" type="date" class="form-control @error('date_of_birth') is-invalid @enderror" name="date_of_birth" value="{{ $oUser->date_of_birth }}">

                                    @error('date_of_birth')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <div class="col-md-6 offset-md-4">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('Update') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/admin/users.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">{{ __('Users') }}</div>

                    <div class="card-body">

                            @csrf
                            <table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">{{ __('Firstname') }}</th>
                                        <th scope="col">{{ __('Lastname') }}</th>
                                        <th scope="col">{{ __('Email') }}</th>
                                        <th scope="col">{{ __('City') }}</th>
                                        <th scope="col">{{ __('Zipcode') }}</th>
                                        <th scope="col">{{ __('Date of birth') }}</th>
                                        <th scope="col" width="20"></th>
                                        <th scope="col" width="20"></th>
                                    </tr>
                                </thead>
                                <tbody>
                                @foreach ($aUser as $oUser)
                                    <tr>
                                        <td>{{ $oUser->id }}</td>
                                        <td>{{ $oUser->firstname }}</td>
                                        <td>{{ $oUser->lastname }}</td>
                                        <td>{{ $oUser->email }}</td>
                                        <td>{{ $oUser->city }}</td>
                                        <td>{{ $oUser->zipcode }}</td>
                                        <td>{{ $oUser->date_of_birth }}</td>
                                        <td>
                                            <a class="btn btn-primary text-white" href="{{ route('users.edit', ['user' => $oUser]) }}"><i class="far fa-edit"></i></a>
                                        </td>
                                        <td>
                                            {{ Form::open([ 'method' => 'delete', 'route' => [ 'users.destroy', $oUser->id] ])}}
                                            {{ Form::button('<i class="fa fa-trash-alt"></i>',['type' => 'submit', 'class' => 'btn btn-danger']) }}
                                            {{ Form::close() }}
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection